<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>CCodeRefactoring: BegEndDecomposedLoc Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">CCodeRefactoring
   &#160;<span id="projectnumber">First Alpha</span>
   </div>
   <div id="projectbrief">Create Simulation Executable From Existing Code</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('struct_beg_end_decomposed_loc.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="struct_beg_end_decomposed_loc-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">BegEndDecomposedLoc Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_types_for_analysis_8h_source.html">TypesForAnalysis.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a915191cc5709e749bef3feb7dda64d54"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_beg_end_decomposed_loc.html#a915191cc5709e749bef3feb7dda64d54">hasBeginEnd</a></td></tr>
<tr class="separator:a915191cc5709e749bef3feb7dda64d54"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af79c3560c1e42fe65c30b784d61054d4"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_beg_end_decomposed_loc.html#af79c3560c1e42fe65c30b784d61054d4">hasSpellPairForASTnode</a></td></tr>
<tr class="separator:af79c3560c1e42fe65c30b784d61054d4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af6ee275ffb92659d00c4f2a076e70b80"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_beg_end_decomposed_loc.html#af6ee275ffb92659d00c4f2a076e70b80">hasMacroAtBegin</a></td></tr>
<tr class="separator:af6ee275ffb92659d00c4f2a076e70b80"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0916f446accca958b92ccd14610c430e"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_beg_end_decomposed_loc.html#a0916f446accca958b92ccd14610c430e">hasMacroAtEnd</a></td></tr>
<tr class="separator:a0916f446accca958b92ccd14610c430e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a07d2cc6e8c2ecb2263112d82590bec4d"><td class="memItemLeft" align="right" valign="top">std::pair&lt; <a class="el" href="struct_decomp_type.html">DecompType</a>, <a class="el" href="struct_decomp_type.html">DecompType</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_beg_end_decomposed_loc.html#a07d2cc6e8c2ecb2263112d82590bec4d">BegEndASTNodeExpans</a></td></tr>
<tr class="separator:a07d2cc6e8c2ecb2263112d82590bec4d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a823fd897f0b16cd6c4dbc0d84bf902e3"><td class="memItemLeft" align="right" valign="top">std::pair&lt; <a class="el" href="struct_decomp_type.html">DecompType</a>, <a class="el" href="struct_decomp_type.html">DecompType</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_beg_end_decomposed_loc.html#a823fd897f0b16cd6c4dbc0d84bf902e3">BegEndASTNodeSpell</a></td></tr>
<tr class="separator:a823fd897f0b16cd6c4dbc0d84bf902e3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a144b7b343280e84d9b90e113c942d4"><td class="memItemLeft" align="right" valign="top">std::pair&lt; <a class="el" href="struct_decomp_type.html">DecompType</a>, <a class="el" href="struct_decomp_type.html">DecompType</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_beg_end_decomposed_loc.html#a9a144b7b343280e84d9b90e113c942d4">BegFuncMacroExp</a></td></tr>
<tr class="separator:a9a144b7b343280e84d9b90e113c942d4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa320c5aff3b46f464ea815904af370c4"><td class="memItemLeft" align="right" valign="top">std::pair&lt; <a class="el" href="struct_decomp_type.html">DecompType</a>, <a class="el" href="struct_decomp_type.html">DecompType</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_beg_end_decomposed_loc.html#aa320c5aff3b46f464ea815904af370c4">EndFuncMacroExp</a></td></tr>
<tr class="separator:aa320c5aff3b46f464ea815904af370c4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7928e2ab37a45543272ea12650316db0"><td class="memItemLeft" align="right" valign="top">std::vector&lt; std::pair&lt; <a class="el" href="struct_decomp_type.html">DecompType</a>, <a class="el" href="struct_decomp_type.html">DecompType</a> &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_beg_end_decomposed_loc.html#a7928e2ab37a45543272ea12650316db0">BegFuncMacroSpell</a></td></tr>
<tr class="separator:a7928e2ab37a45543272ea12650316db0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0dfeb603035189f2af597a70e0cf3e94"><td class="memItemLeft" align="right" valign="top">std::vector&lt; std::pair&lt; <a class="el" href="struct_decomp_type.html">DecompType</a>, <a class="el" href="struct_decomp_type.html">DecompType</a> &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_beg_end_decomposed_loc.html#a0dfeb603035189f2af597a70e0cf3e94">EndFuncMacroSpell</a></td></tr>
<tr class="separator:a0dfeb603035189f2af597a70e0cf3e94"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab5f5c81859b16456021ac77b094e0ca2"><td class="memItemLeft" align="right" valign="top">std::vector&lt; std::pair&lt; <a class="el" href="struct_decomp_type.html">DecompType</a>, <a class="el" href="struct_decomp_type.html">DecompType</a> &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_beg_end_decomposed_loc.html#ab5f5c81859b16456021ac77b094e0ca2">BegTokenSpell</a></td></tr>
<tr class="separator:ab5f5c81859b16456021ac77b094e0ca2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9136f507f6224716738219899a15588f"><td class="memItemLeft" align="right" valign="top">std::vector&lt; std::pair&lt; <a class="el" href="struct_decomp_type.html">DecompType</a>, <a class="el" href="struct_decomp_type.html">DecompType</a> &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_beg_end_decomposed_loc.html#a9136f507f6224716738219899a15588f">EndTokenSpell</a></td></tr>
<tr class="separator:a9136f507f6224716738219899a15588f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a07d2cc6e8c2ecb2263112d82590bec4d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a07d2cc6e8c2ecb2263112d82590bec4d">&#9670;&nbsp;</a></span>BegEndASTNodeExpans</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::pair&lt;<a class="el" href="struct_decomp_type.html">DecompType</a>, <a class="el" href="struct_decomp_type.html">DecompType</a>&gt; BegEndDecomposedLoc::BegEndASTNodeExpans</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a823fd897f0b16cd6c4dbc0d84bf902e3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a823fd897f0b16cd6c4dbc0d84bf902e3">&#9670;&nbsp;</a></span>BegEndASTNodeSpell</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::pair&lt;<a class="el" href="struct_decomp_type.html">DecompType</a>, <a class="el" href="struct_decomp_type.html">DecompType</a>&gt; BegEndDecomposedLoc::BegEndASTNodeSpell</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a9a144b7b343280e84d9b90e113c942d4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9a144b7b343280e84d9b90e113c942d4">&#9670;&nbsp;</a></span>BegFuncMacroExp</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::pair&lt;<a class="el" href="struct_decomp_type.html">DecompType</a>, <a class="el" href="struct_decomp_type.html">DecompType</a>&gt; BegEndDecomposedLoc::BegFuncMacroExp</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a7928e2ab37a45543272ea12650316db0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7928e2ab37a45543272ea12650316db0">&#9670;&nbsp;</a></span>BegFuncMacroSpell</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;std::pair&lt;<a class="el" href="struct_decomp_type.html">DecompType</a>, <a class="el" href="struct_decomp_type.html">DecompType</a>&gt; &gt; BegEndDecomposedLoc::BegFuncMacroSpell</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab5f5c81859b16456021ac77b094e0ca2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab5f5c81859b16456021ac77b094e0ca2">&#9670;&nbsp;</a></span>BegTokenSpell</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;std::pair&lt;<a class="el" href="struct_decomp_type.html">DecompType</a>, <a class="el" href="struct_decomp_type.html">DecompType</a>&gt; &gt; BegEndDecomposedLoc::BegTokenSpell</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa320c5aff3b46f464ea815904af370c4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa320c5aff3b46f464ea815904af370c4">&#9670;&nbsp;</a></span>EndFuncMacroExp</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::pair&lt;<a class="el" href="struct_decomp_type.html">DecompType</a>, <a class="el" href="struct_decomp_type.html">DecompType</a>&gt; BegEndDecomposedLoc::EndFuncMacroExp</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a0dfeb603035189f2af597a70e0cf3e94"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0dfeb603035189f2af597a70e0cf3e94">&#9670;&nbsp;</a></span>EndFuncMacroSpell</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;std::pair&lt;<a class="el" href="struct_decomp_type.html">DecompType</a>, <a class="el" href="struct_decomp_type.html">DecompType</a>&gt; &gt; BegEndDecomposedLoc::EndFuncMacroSpell</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a9136f507f6224716738219899a15588f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9136f507f6224716738219899a15588f">&#9670;&nbsp;</a></span>EndTokenSpell</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;std::pair&lt;<a class="el" href="struct_decomp_type.html">DecompType</a>, <a class="el" href="struct_decomp_type.html">DecompType</a>&gt; &gt; BegEndDecomposedLoc::EndTokenSpell</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a915191cc5709e749bef3feb7dda64d54"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a915191cc5709e749bef3feb7dda64d54">&#9670;&nbsp;</a></span>hasBeginEnd</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool BegEndDecomposedLoc::hasBeginEnd</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af6ee275ffb92659d00c4f2a076e70b80"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af6ee275ffb92659d00c4f2a076e70b80">&#9670;&nbsp;</a></span>hasMacroAtBegin</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool BegEndDecomposedLoc::hasMacroAtBegin</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a0916f446accca958b92ccd14610c430e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0916f446accca958b92ccd14610c430e">&#9670;&nbsp;</a></span>hasMacroAtEnd</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool BegEndDecomposedLoc::hasMacroAtEnd</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af79c3560c1e42fe65c30b784d61054d4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af79c3560c1e42fe65c30b784d61054d4">&#9670;&nbsp;</a></span>hasSpellPairForASTnode</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool BegEndDecomposedLoc::hasSpellPairForASTnode</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="struct_beg_end_decomposed_loc.html">BegEndDecomposedLoc</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
